# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ohkami"
version = "0.4.1"
authors = ["kanarus <kanarus786@gmail.com>"]
description = "simple and macro free web framework"
homepage = "https://crates.io/crates/ohkami"
documentation = "https://docs.rs/ohkami/"
readme = "README.md"
keywords = [
    "simple",
    "async",
    "web",
    "server",
    "framework",
]
categories = ["web-programming::http-server"]
license = "MIT"
repository = "https://github.com/kana-rus/ohkami"

[dependencies.async-std]
version = "1"

[dependencies.chrono]
version = "0.4"

[dependencies.serde]
version = "1.0"

[dependencies.serde_json]
version = "1.0"

[dependencies.sqlx]
version = "0.6"
optional = true
default-features = false

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"

[features]
default = []
mysql = [
    "sqlx?/runtime-async-std-native-tls",
    "sqlx?/mysql",
]
postgres = [
    "sqlx?/runtime-async-std-native-tls",
    "sqlx?/postgres",
]
sqlx = ["dep:sqlx"]
